> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Historical Ticks

> Get raw historical ticks for a symbol in a selected time range using cursor pagination.



## OpenAPI

````yaml /openapi.json get /stocks/{symbol}/ticks
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /stocks/{symbol}/ticks:
    get:
      tags:
        - Stocks
      summary: Historical Ticks
      description: >-
        Get raw historical ticks for a symbol in a selected time range using
        cursor pagination.
      operationId: stocks_get_historical_ticks
      parameters:
        - name: symbol
          in: path
          required: true
          schema:
            type: string
            title: Symbol
        - name: start
          in: query
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Unix timestamp (inclusive).
            title: Start
          description: Unix timestamp (inclusive).
        - name: end
          in: query
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Unix timestamp (exclusive).
            title: End
          description: Unix timestamp (exclusive).
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: Cursor for the next page
            title: Cursor
          description: Cursor for the next page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            ge: 1
            le: 1000
            description: The number of ticks per page.
            default: 100
            title: Limit
          description: The number of ticks per page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CursorPage_TypeVar_Customized_HistoricalRawTick_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CursorPage_TypeVar_Customized_HistoricalRawTick_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/HistoricalRawTick'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total items
        current_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
      title: CursorPage[TypeVar]Customized[HistoricalRawTick]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HistoricalRawTick:
      properties:
        time:
          type: string
          format: date-time
          title: Time
        ask:
          type: number
          title: Ask
        bid:
          type: number
          title: Bid
        mid:
          type: number
          title: Mid
      type: object
      required:
        - time
        - ask
        - bid
        - mid
      title: HistoricalRawTick
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````